<?php

require_once( dirname(__FILE__).'/../common.php');

if (isset($_GET['upload'])) manageUpload();

header('Content-Type: text/html; charset=UTF-8');
?>
<!DOCTYPE html>
<html class="hp">
	<head>
		<title><?=hesc(S_PAGETITLE)?></title>
		<link rel="alternate" type="application/rss+xml" title="<?=hesc(S_PAGETITLE)?>" href="rss.php">
		<link rel="stylesheet" type="text/css" href="style.css">
	</head>
	<body>
		<table id="itd-main">
			<tr>
				<td>
<?=formatItem(\DB\getLatest()); ?> 
<? if (isLocal() || ALLOW_PUBLIC_UPLOAD) { ?> 
				</td>
			</tr>
			<tr>
				<td>
					<div id="uploader" class="tr">
						<select id="sel" autofocus>
							<option value="form_image" selected>Image</option>
							<option value="form_youtube" >Youtube</option>
						</select>
						of the Day: 
						<span id="form_image">
							<form action="?upload" method="post" enctype="multipart/form-data">
								<input type="hidden" name="type" value="image" />
								<input name="file" id="file" type="file" />
								<input value="Post &raquo;" type="submit"> 									
							</form>
						</span>		
						<span id="form_youtube">
							<form action="?upload" method="post">
								<input type="hidden" name="type" value="youtube" />
								<input type="text" name="url" title="Youtube URL" />
								<input value="Post &raquo;" type="submit" />
							</form>
						</span>
						<input type="button" onclick="window.location.href='gallery.php';" value="History &raquo;">
					</div>
					<script type="text/javascript">
function showOnly(e) {
	i('form_image').style.display=i('form_youtube').style.display="none";
	i(e).style.display="inline";
}
function i(el){return document.getElementById(el);}
i('sel').onchange=function(){showOnly(this.value);}
showOnly('form_image');
					</script>
<? } ?> 
				</td>
			</tr>
			<tr>
				<td>
<?= file_get_contents(isLocal() ? '../ext_private.htm' : '../ext_public.htm'); ?> 
				</td>
			</tr>
		</table>
	</body>
</html>