<?php

require_once(dirname(__FILE__).'/../common.php');

$entries = DB\getRange(0, 5); // max results

global $baseurl;
$baseurl = \isLocal() ? PRIVATE_BASE_URL : PUBLIC_BASE_URL;

function tidy($sz) {
	global $baseurl;
	return str_replace("\n", '', preg_replace('/(href|src)="([^(?:http)])/', '\1="'.$baseurl.'\2', $sz));
}

header('Content-Type: application/rss+xml');
echo '<?xml version="1.0" encoding="UTF-8" ?>';
?> 
<rss version="2.0" xmlns:atom="http://www.w3.org/2005/Atom"> 
	<channel>
		<title><?=hesc(S_PAGETITLE)?></title>
		<link><?=$baseurl?></link>
		<description><?=hesc(S_PAGETITLE)?></description>
		<language>en-GB</language>
		<atom:link href="<?=$baseurl?>rss.php" rel="self" type="application/rss+xml" />
<? foreach($entries as $entry) { ?> 
		<item>
			<title><?=hesc(formatItemType($entry).' post, '.date(DATE_RSS, $entry['time']))?></title>
			<link><?=$baseurl?>gallery.php#entry_<?=hesc($entry['time'])?></link>
			<guid><?=$baseurl?>gallery.php#entry_<?=hesc($entry['time'])?></guid>
			<author>nobody@example.com (<?=hesc(S_PAGETITLE)?>)</author>
			<pubDate><?=hesc(date(DATE_RSS, $entry['time']))?></pubDate>
			<description><?=hesc(tidy(formatItem($entry)))?></description>
		</item>
<? } ?> 
	</channel>
</rss>